Index: /data/media/levels/presentation_pong.oxw
===================================================================
--- /data/media/levels/presentation_pong.oxw	(revision 5436)
+++ /data/media/levels/presentation_pong.oxw	(revision 5437)
@@ -20,4 +20,5 @@
     <attached>
       <Model position="0,0,3" mesh="cube.mesh" scale3D="14,2,2" />
+      <!--Model roll=180 mesh="pongbat.mesh" scale=0.045 /-->
     </attached>
   </PongBat>
@@ -55,14 +56,88 @@
 ?>
 
-    <MovableEntity rotationrate=5 rotationaxis="0,0,1">
-      <attached>
-        <PongCenterpoint dimension="200,120" balltemplate=pongball battemplate=pongbat ballspeed=200 batspeed=130 batlength=0.25>
-          <attached>
-            <Model position="0,0,60" mesh="cube.mesh" scale3D="105,1,1" />
-            <Model position="0,0,-60" mesh="cube.mesh" scale3D="105,1,1" />
-          </attached>
-        </PongCenterpoint>
-      </attached>
-    </MovableEntity>
+  <MovableEntity rotationrate=5 rotationaxis="0,0,1">
+    <attached>
+      <PongCenterpoint name=pongcenter dimension="200,120" balltemplate=pongball battemplate=pongbat ballspeed=200 batspeed=130 batlength=0.25>
+        <attached>
+          <Model position="0,0,60" mesh="cube.mesh" scale3D="105,1,1" />
+          <Model position="0,0,-60" mesh="cube.mesh" scale3D="105,1,1" />
+<!--
+          <ParticleSpawner name=scoreeffect_R position=" 100,0, 60" source="Orxonox/BigExplosion1part1" lifetime=3.0 autostart=0 />
+          <ParticleSpawner name=scoreeffect position="  50,0, 60" source="Orxonox/BigExplosion1part1" lifetime=3.0 autostart=0 />
+          <ParticleSpawner name=scoreeffect position="   0,0, 60" source="Orxonox/BigExplosion1part1" lifetime=3.0 autostart=0 />
+          <ParticleSpawner name=scoreeffect position=" -50,0, 60" source="Orxonox/BigExplosion1part1" lifetime=3.0 autostart=0 />
+          <ParticleSpawner name=scoreeffect_L position="-100,0, 60" source="Orxonox/BigExplosion1part1" lifetime=3.0 autostart=0 />
+          <ParticleSpawner name=scoreeffect_R position=" 100,0,-60" source="Orxonox/BigExplosion1part1" lifetime=3.0 autostart=0 />
+          <ParticleSpawner name=scoreeffect position="  50,0,-60" source="Orxonox/BigExplosion1part1" lifetime=3.0 autostart=0 />
+          <ParticleSpawner name=scoreeffect position="   0,0,-60" source="Orxonox/BigExplosion1part1" lifetime=3.0 autostart=0 />
+          <ParticleSpawner name=scoreeffect position=" -50,0,-60" source="Orxonox/BigExplosion1part1" lifetime=3.0 autostart=0 />
+          <ParticleSpawner name=scoreeffect_L position="-100,0,-60" source="Orxonox/BigExplosion1part1" lifetime=3.0 autostart=0 />
+-->
+        </attached>
+      </PongCenterpoint>
+    </attached>
+  </MovableEntity>
+
+  <EventDispatcher>
+    <targets>
+      <EventTarget name=scoreeffect />
+    </targets>
+    <events>
+      <spawn>
+        <EventListener event=pongcenter />
+      </spawn>
+    </events>
+  </EventDispatcher>
+
+  <?lua
+    dofile("../../media/levels/CuboidSpaceStation.lua")
+  ?>
+
+  <StaticEntity pitch=15>
+    <attached>
+      <MovableEntity rotationrate="-4.15786" rotationaxis="0,0,1">
+        <attached>
+          <StaticEntity position="-2500,0,0" yaw=90 pitch=90>
+            <attached>
+              <?lua
+                createSpaceStationPar(0,2,1,2,1,4,1,50)
+              ?>
+            </attached>
+          </StaticEntity>
+        </attached>
+      </MovableEntity>
+    </attached>
+  </StaticEntity>
+
+  <StaticEntity position="0,1200,-200" yaw=50 pitch=60 roll=45>
+    <attached>
+      <Model scale=10 mesh="Carrier.mesh" />
+      <Model position="0,30,20" scale=10 mesh="pirate.mesh" roll="180" />
+      <Model position="-80,-30,20" scale=10 mesh="pirate.mesh" roll="180" />
+    </attached>
+  </StaticEntity>
+
+  <StaticEntity pitch=70>
+    <attached>
+      <MovableEntity rotationaxis="0,0,1" rotationrate=8.5974>
+        <attached>
+          <StaticEntity yaw=-90 pitch=0 roll=90 position="800,0,0">
+            <attached>
+              <Model position="0,0,0" scale=10 mesh="satellite.mesh" />
+              <MovableEntity position="-4,0,20" velocity="0,0,0" rotationaxis="0,0,1" rotationrate=50>
+                <attached>
+                  <Model position="0,0,0" scale=10 mesh="satellitedish.mesh"/>
+                </attached>
+              </MovableEntity>
+              <ParticleEmitter pitch=-135 roll=30 position="-14, 3.5,-2.5" source="Orxonox/thruster3" lifetime=2.0 loop=1 startdelay=3.0 />
+              <ParticleEmitter pitch=135 roll=30 position="-14, 3.5,-9" source="Orxonox/thruster3" lifetime=2.0 loop=1 startdelay=3.0 />
+              <ParticleEmitter pitch=-45 roll=30 position="-14,-3.5,-2.5" source="Orxonox/thruster3" lifetime=2.0 loop=1 startdelay=3.0 />
+              <ParticleEmitter pitch=45 roll=30 position="-14,-3.5,-9" source="Orxonox/thruster3" lifetime=2.0 loop=1 startdelay=3.0 />
+            </attached>
+          </StaticEntity>
+        </attached>
+      </MovableEntity>
+    </attached>
+  </StaticEntity>
 
 <?lua