Index: /trunk/src/defs/debug.h
===================================================================
--- /trunk/src/defs/debug.h	(revision 5438)
+++ /trunk/src/defs/debug.h	(revision 5439)
@@ -59,31 +59,32 @@
 ////////////////////
 // FRAMEWORK
-#define DEBUG_MODULE_ORXONOX            2
-#define DEBUG_MODULE_WORLD              2
-#define DEBUG_MODULE_NETWORK            2
+#define DEBUG_MODULE_BASE                  2
+#define DEBUG_MODULE_ORXONOX               2
+#define DEBUG_MODULE_WORLD                 2
+#define DEBUG_MODULE_NETWORK               2
 
 // LOADING
-#define DEBUG_MODULE_LOAD               2
-#define DEBUG_MODULE_IMPORTER           2
+#define DEBUG_MODULE_LOAD                  2
+#define DEBUG_MODULE_IMPORTER              2
 
 // ENGINES
-#define DEBUG_MODULE_GRAPHICS           2
-#define DEBUG_MODULE_EVENT              2
-#define DEBUG_MODULE_PHYSICS            2
-#define DEBUG_MODULE_GARBAGE_COLLECTOR  2
-#define DEBUG_MODULE_OBJECT_MANAGER     2
-#define DEBUG_MODULE_ANIM               2
-#define DEBUG_MODULE_COLLISON_DETECTION 2
-#define DEBUG_MODULE_SPATIAL_SEPARATION 2
-#define DEBUG_MODULE_GUI                2
+#define DEBUG_MODULE_GRAPHICS              2
+#define DEBUG_MODULE_EVENT                 2
+#define DEBUG_MODULE_PHYSICS               2
+#define DEBUG_MODULE_GARBAGE_COLLECTOR     2
+#define DEBUG_MODULE_OBJECT_MANAGER        2
+#define DEBUG_MODULE_ANIM                  2
+#define DEBUG_MODULE_COLLISON_DETECTION    2
+#define DEBUG_MODULE_SPATIAL_SEPARATION    2
+#define DEBUG_MODULE_GUI                   2
 
 // MISC
-#define DEBUG_MODULE_TRACK_MANAGER      2
-#define DEBUG_MODULE_MATH               2
-
-#define DEBUG_MODULE_PNODE              2
-#define DEBUG_MODULE_WORLD_ENTITY       2
-
-#define DEBUG_MODULE_WEAPON             2
+#define DEBUG_MODULE_TRACK_MANAGER         2
+#define DEBUG_MODULE_MATH                  2
+
+#define DEBUG_MODULE_PNODE                 2
+#define DEBUG_MODULE_WORLD_ENTITY          2
+
+#define DEBUG_MODULE_WEAPON                2
 
 #define HARD_DEBUG_LEVEL DEBUG_SPECIAL_MODULE
Index: /trunk/src/lib/lang/base_object.cc
===================================================================
--- /trunk/src/lib/lang/base_object.cc	(revision 5438)
+++ /trunk/src/lib/lang/base_object.cc	(revision 5439)
@@ -15,5 +15,5 @@
    co-programmer: ...
 */
-
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_BASE
 
 #include "base_object.h"
@@ -29,5 +29,5 @@
  *  sets the name from a LoadXML-Element
  * @param root the element to load from
-*/
+ */
 BaseObject::BaseObject(const TiXmlElement* root)
 {
@@ -57,5 +57,5 @@
  *  loads parameters
  * @param root the element to load from
-*/
+ */
 void BaseObject::loadParams(const TiXmlElement* root)
 {
Index: /trunk/src/lib/particles/particle_engine.cc
===================================================================
--- /trunk/src/lib/particles/particle_engine.cc	(revision 5438)
+++ /trunk/src/lib/particles/particle_engine.cc	(revision 5439)
@@ -120,5 +120,5 @@
 
 /**
-  \brief Connects a ParticleSystem to a ParticleSystem thus emitting Particles.
+* @brief Connects a ParticleSystem to a ParticleSystem thus emitting Particles.
 * @param emitter the Emitter to connect to the System
 * @param system the System to connect to the Emitter
Index: /trunk/src/world_entities/power_ups/power_up.cc
===================================================================
--- /trunk/src/world_entities/power_ups/power_up.cc	(revision 5438)
+++ /trunk/src/world_entities/power_ups/power_up.cc	(revision 5439)
@@ -1,4 +1,2 @@
-
-
 /*
    orxonox - the future of 3D-vertical-scrollers
@@ -12,7 +10,9 @@
 
    ### File Specific:
-   main-programmer: ...
+   main-programmer: Benjamin Grauer
    co-programmer: ...
 */
+
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
 
 
Index: /trunk/src/world_entities/power_ups/turret_power_up.cc
===================================================================
--- /trunk/src/world_entities/power_ups/turret_power_up.cc	(revision 5438)
+++ /trunk/src/world_entities/power_ups/turret_power_up.cc	(revision 5439)
@@ -14,4 +14,5 @@
 */
 
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
 
 #include "turret_power_up.h"
@@ -53,5 +54,5 @@
   this->sphereModel = new PrimitiveModel(PRIM_SPHERE, 7, 5);
   this->sphereMaterial = new Material;
-  this->sphereMaterial->setTransparency(.0001);
+  this->sphereMaterial->setTransparency(.1);
   this->sphereMaterial->setDiffuse(.1, .1, .8);
 