Index: trunk/src/lib/particles/particle_emitter.cc
===================================================================
--- trunk/src/lib/particles/particle_emitter.cc	(revision 5439)
+++ trunk/src/lib/particles/particle_emitter.cc	(revision 5445)
@@ -54,5 +54,5 @@
   this->init();
 
-   if (root)
+   if (root != NULL)
      this->loadParams(root);
 
Index: trunk/src/lib/particles/particle_engine.cc
===================================================================
--- trunk/src/lib/particles/particle_engine.cc	(revision 5439)
+++ trunk/src/lib/particles/particle_engine.cc	(revision 5445)
@@ -51,6 +51,7 @@
 ParticleEngine::~ParticleEngine ()
 {
-  // we must not do this, because PNoe does it for us
-  // or we do this with help from ClassList, which essentially makes much more sense
+  /// @todo we must not do this, because PNoe does it for us
+  /// or we do this with help from ClassList, which essentially makes much more sense
+
   // delete all remaining systems
 //   tIterator<ParticleSystem>* sysIt = this->systemList->getIterator();
@@ -64,13 +65,13 @@
    delete this->systemList;
 //
-//   // delete all remaining emitters
-//   tIterator<ParticleEmitter>* emitIt = this->emitterList->getIterator();
-//   ParticleEmitter* tmpEmit = emitIt->firstElement();
-//   while(tmpEmit)
-//     {
-//       delete tmpEmit;
-//       tmpEmit = emitIt->nextElement();
-//     }
-//   delete emitIt;
+   // delete all remaining emitters
+   tIterator<ParticleEmitter>* emitIt = this->emitterList->getIterator();
+   ParticleEmitter* tmpEmit = emitIt->firstElement();
+   while(tmpEmit)
+     {
+       delete tmpEmit;
+       tmpEmit = emitIt->nextElement();
+     }
+   delete emitIt;
    delete this->emitterList;
 
@@ -119,4 +120,5 @@
 }
 
+#include "class_list.h"
 /**
 * @brief Connects a ParticleSystem to a ParticleSystem thus emitting Particles.
@@ -126,6 +128,6 @@
 void ParticleEngine::addConnection(const char* emitter, const char* system)
 {
-  ParticleEmitter* tmpEmit = this->getEmitterByName(emitter);
-  ParticleSystem* tmpSys = this->getSystemByName(system);
+  ParticleEmitter* tmpEmit = dynamic_cast<ParticleEmitter*>(ClassList::getObject(emitter, CL_PARTICLE_EMITTER));//this->getEmitterByName(emitter);
+  ParticleSystem* tmpSys = dynamic_cast<ParticleSystem*>(ClassList::getObject(system, CL_PARTICLE_SYSTEM));//this->getSystemByName(system);
 
   if (tmpEmit != NULL && tmpSys != NULL)
@@ -154,5 +156,5 @@
       if (tmpConnection->emitter == emitter && tmpConnection->system == system)
         {
-          PRINTF(2)("Connection between Emitter and System already added\n");
+          PRINTF(2)("Connection between Emitter and System already exists.\n");
           delete tmpConIt;
           return;
@@ -181,5 +183,5 @@
   tIterator<ParticleConnection>* tmpConIt = connectionList->getIterator();
   ParticleConnection* tmpConnection = tmpConIt->firstElement();
-  while(tmpConnection)
+  while(tmpConnection != NULL)
     {
       if (tmpConnection->system == system)
@@ -202,5 +204,5 @@
   tIterator<ParticleConnection>* tmpConIt = connectionList->getIterator();
   ParticleConnection* tmpConnection = tmpConIt->firstElement();
-  while(tmpConnection)
+  while(tmpConnection != NULL)
     {
       if (tmpConnection->emitter == emitter)
@@ -298,25 +300,4 @@
 
 /**
- * @param systemName the name of the system to search for
- * @returns the system called by systemName or NULL if not found
-*/
-ParticleSystem* ParticleEngine::getSystemByName(const char* systemName) const
-{
-  tIterator<ParticleSystem>* tmpIt = systemList->getIterator();
-  ParticleSystem* tmpSys = tmpIt->firstElement();
-  while(tmpSys)
-    {
-      if (!strcmp(systemName, tmpSys->getName()))
-        {
-          delete tmpIt;
-          return tmpSys;
-        }
-      tmpSys = tmpIt->nextElement();
-    }
-  delete tmpIt;
-  return NULL;
-}
-
-/**
  * @param number the n-th system to return
  * @returns the system called by number or NULL if not found
@@ -342,26 +323,4 @@
 
 /**
- * @param emitterName the name of the emitter to search for
- * @returns the emitter called by emitterName or NULL if not found
-*/
-ParticleEmitter* ParticleEngine::getEmitterByName(const char* emitterName) const
-{
-  tIterator<ParticleEmitter>* tmpIt = emitterList->getIterator();
-  ParticleEmitter* tmpEmit = tmpIt->firstElement();
-  while(tmpEmit)
-    {
-      if (!strcmp(emitterName, tmpEmit->getName()))
-        {
-          delete tmpIt;
-          return tmpEmit;
-        }
-      tmpEmit = tmpIt->nextElement();
-    }
-  delete tmpIt;
-  return NULL;
-}
-
-
-/**
  * @param number the n-th emitter to return
  * @returns the emitter called by number or NULL if not found
Index: trunk/src/lib/particles/particle_engine.h
===================================================================
--- trunk/src/lib/particles/particle_engine.h	(revision 5439)
+++ trunk/src/lib/particles/particle_engine.h	(revision 5445)
@@ -53,8 +53,6 @@
   bool breakConnection(ParticleConnection* connection);
 
-  ParticleSystem* getSystemByName(const char* systemName) const;
-  ParticleSystem* getSystemByNumber(unsigned int number) const;
-  ParticleEmitter* getEmitterByName(const char* emitterName) const;
-  ParticleEmitter* getEmitterByNumber(unsigned int number) const;
+   ParticleSystem* getSystemByNumber(unsigned int number) const;
+   ParticleEmitter* getEmitterByNumber(unsigned int number) const;
 
   void debug();
Index: trunk/src/lib/particles/particle_system.cc
===================================================================
--- trunk/src/lib/particles/particle_system.cc	(revision 5439)
+++ trunk/src/lib/particles/particle_system.cc	(revision 5445)
@@ -49,6 +49,6 @@
 
 /**
-  \brief creates a Particle System out of a XML-element
-* @param root: the XML-element to load from
+ * @brief creates a Particle System out of a XML-element
+ * @param root: the XML-element to load from
  */
 ParticleSystem::ParticleSystem(const TiXmlElement* root)
@@ -198,5 +198,5 @@
       case PARTICLE_SPRITE:
         this->material = new Material("transperencyMap");
-        this->material->setDiffuseMap("pictures/radialTransparency.png");
+        this->material->setDiffuseMap("maps/radialTransparency.png");
       //  material->setTransparency(.5);
         break;